summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlon Bar-Lev <alonbl@gentoo.org>2016-12-08 18:13:23 +0200
committerAlon Bar-Lev <alonbl@gentoo.org>2016-12-08 18:13:40 +0200
commit14c8b743905c6a6e223fdcfffff520eb7219a7ab (patch)
tree5886385875edf9956e686f5417361d3ad92c7e08 /dev-libs/pkcs11-helper
parentwww-client/chromium: dev channel bump (56.0.2924.18) (diff)
downloadgentoo-14c8b743905c6a6e223fdcfffff520eb7219a7ab.tar.gz
gentoo-14c8b743905c6a6e223fdcfffff520eb7219a7ab.tar.bz2
gentoo-14c8b743905c6a6e223fdcfffff520eb7219a7ab.zip
dev-libs/pkcs11-helper: version bump
Package-Manager: portage-2.3.0
Diffstat (limited to 'dev-libs/pkcs11-helper')
-rw-r--r--dev-libs/pkcs11-helper/Manifest1
-rw-r--r--dev-libs/pkcs11-helper/pkcs11-helper-1.20.ebuild38
2 files changed, 39 insertions, 0 deletions
diff --git a/dev-libs/pkcs11-helper/Manifest b/dev-libs/pkcs11-helper/Manifest
index 09868444195..1de8d826130 100644
--- a/dev-libs/pkcs11-helper/Manifest
+++ b/dev-libs/pkcs11-helper/Manifest
@@ -1 +1,2 @@
DIST pkcs11-helper-1.11.tar.bz2 380697 SHA256 05a078efe1261247f26751fa616de732a64dbe1ed6c83e8ea5e6e85d8f70ff2f SHA512 cab34a6c3336cf4077d5b7face9e4b8eeb12f0edb6e265704e481b5ef9738495a45d61a99153b244a91960ed353d79edb99b30f01b0e00efc524542c2a1ac4e1 WHIRLPOOL 8deacedebef01974faecc6861bee27626317379d922f774758fcbd1ec93cf4dc5d1a335144fe85764e92ed985193b5b81b8439b54c953e201b0f17e6b44f4cc8
+DIST pkcs11-helper-1.20.tar.bz2 416783 SHA256 dafaa71ea9735d7d4ca43f385c53a44bc642c5a7d380d1e2912a0969b3b717be SHA512 f22774bf5cdb247ef0780aaf8b6a55ad3456630c157c38f487564e49ab2439c6416eda4a123274b4e61e6483225388b430681ca213e976cb085262e3edb7f9e1 WHIRLPOOL f0c36539c3dbff42776c9cf71933d110369347e347b5f613bbc6a81cd746aef10967c5649ad43e253b7e6c8593399c2bf08153d79691a809a08ca65cf8ea4426
diff --git a/dev-libs/pkcs11-helper/pkcs11-helper-1.20.ebuild b/dev-libs/pkcs11-helper/pkcs11-helper-1.20.ebuild
new file mode 100644
index 00000000000..fa195d15581
--- /dev/null
+++ b/dev-libs/pkcs11-helper/pkcs11-helper-1.20.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="6"
+
+inherit eutils
+
+DESCRIPTION="PKCS#11 helper library"
+HOMEPAGE="https://github.com/OpenSC/pkcs11-helper"
+SRC_URI="https://github.com/OpenSC/${PN}/releases/download/${P}/${P}.tar.bz2"
+
+LICENSE="|| ( BSD GPL-2 )"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~x86-fbsd"
+IUSE="doc gnutls libressl nss static-libs"
+
+RDEPEND="
+ !libressl? ( >=dev-libs/openssl-0.9.7:= )
+ libressl? ( dev-libs/libressl )
+ gnutls? ( >=net-libs/gnutls-1.4.4 )
+ nss? ( dev-libs/nss )"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ doc? ( >=app-doc/doxygen-1.4.7 )"
+
+src_configure() {
+ econf \
+ $(use_enable doc) \
+ $(use_enable gnutls crypto-engine-gnutls) \
+ $(use_enable nss crypto-engine-nss) \
+ $(use_enable static-libs static)
+}
+
+src_install() {
+ default
+ prune_libtool_files
+}